# H245_VCCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_VCCapability:

List of all members.

## Public Types

enum | OptionalFields { e_aal1, e_aal5, e_aal1ViaGateway }

## Public Member Functions

| H245_VCCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_VCCapability_aal1 | m_aal1
H245_VCCapability_aal5 | m_aal5
PASN_Boolean | m_transportStream
PASN_Boolean | m_programStream
H245_VCCapability_availableBitRates | m_availableBitRates
H245_VCCapability_aal1ViaGateway | m_aal1ViaGateway

## Member Enumeration Documentation

enum H245_VCCapability::OptionalFields

Enumerator:

  e_aal1 |
  e_aal5 |
  e_aal1ViaGateway |

## Constructor & Destructor Documentation

H245_VCCapability::H245_VCCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_VCCapability::GetDataLength | ( |  | ) | const

PBoolean H245_VCCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_VCCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_VCCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_VCCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_VCCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_VCCapability_aal1 H245_VCCapability::m_aal1

H245_VCCapability_aal5 H245_VCCapability::m_aal5

PASN_Boolean H245_VCCapability::m_transportStream

PASN_Boolean H245_VCCapability::m_programStream

H245_VCCapability_availableBitRates H245_VCCapability::m_availableBitRates

H245_VCCapability_aal1ViaGateway H245_VCCapability::m_aal1ViaGateway

The documentation for this class was generated from the following file:

- h245.h